Kerbal Space Program - Bug #20348

Request 6547: Bug report: Incorrect Burn Time Information (v. 1.5.1)
11/05/2018 03:28 AM - jason.p.dworkin@gmail.com

Status: Closed Start date: 11/05/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.6.0

Version: 1.5.1 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game

Description

| believe | have found a bug where the burn time using the Puff monoprop thruster. If the only form of propulsion is the Puff
monopropellant thruster is available and a maneuver node is set, the estimated time instantly goes to a constant value (different for
different ships, but does not change with the AV of the maneuver) and the indicator for insufficient fuel is shown. If both Puff and
another thruster is present, the AV from the Puff is ignored. Happens on crewed and robotic craft. All tests done without cheats and
in sandbox mode.

How to reproduce:

e Have a spacecraft with Puff thrusters and sufficient fuel
¢ Plan an maneuver node with non-zero AV required.

Notes:
Happened on a fresh install with no mods (save file, four craft files, and a screen shot with each craft attached) as well as on install
with Making History expansion

¢ Observed with and without the advanced staging indicator
¢ Observed with different kinds of tanks, numbers of thrusters, and with fuel lines and the presence or absence of liquid fuel
¢ Appears object independent in orbit around Kerbal.

(Also, there is a great deal of spacecraft wobble when using Puff engines under stock configuration, but that may be a feature.)

History

#1 - 11/05/2018 03:38 PM - diomedea
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed on KSP 1.5.1.

#3 - 12/20/2018 07:41 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.6.0

- % Done changed from 10 to 80

Please recheck this in 1.6.0.

#4 - 03/30/2019 02:55 AM - Anth12

- File 1.5.1 Puff.png added

- File 1.5.1 Thud.png added

- File 1.6.1 Puff.png added

- File 1.6.1 Thud.png added

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100
Testing with 1.5.1 and 1.6.1 shows this is fixed according to burn time.

The craft was in a 100,000 orbit and then the maneuver was to extend that out to 1,000,000

The craft had thuds and puffs. | tested it for both and they worked the same. | timed the actual burn time which was perfect.

Added screenshots to show changes between when the puffs were activated and the thuds were.

Also did testing with one engine configurations.

Resolved

#5 - 04/11/2019 05:37 PM - chris.fulton

- Status changed from Resolved to Closed
